= v4.3.7 (4 June, 2026) =
* Fix – Tags suggestions not loading in form builder
* Fix – Checkbox styling in form builder

= v4.3.6 (22 May, 2026) =
* Fix – Restore edit button for custom post type published posts after 4.2.9

= v4.3.5 (11 May, 2026) =
* Chore – Exclude .DS_Store files from builds and SVN deploy

= v4.3.4 (11 May, 2026) =
Chore – Exclude CLAUDE.md and .claude directory from wp.org SVN deploy

= v4.3.3 (30 April, 2026) =
Enhance – Bind cancel nonce to user and enforce ownership
Fix – Resolve post expiration not working

= v4.3.2 (24 April, 2026) =
New – Add guest and paid guest post templates and assets
New – Add user directory page creation to installer and tools
Enhance – Add 'General' category for registration forms
Fix – Sanitize file IDs with absint and remove debug logs
Fix – Resolve unauthorized subscription pack assignment
Fix – Enable fallback pay-per-post when force_pack is set

= v4.3.1 (8 April, 2026) =
* New – Add Elementor Account page widget
* New – Add Elementor Subscription widget
* New – Add Elementor Post Form Builder widget
* New – Introduce card grid UI for payment gateway selection
* Enhance – Bind cancel nonce to user and enforce ownership
* Enhance – Clean up What's New page assets and remove unused code
* Fix – Improve wording of plugin update notice
* Fix – Resolve CSS/JS warning in setup wizard

= v4.3.0 (11 March, 2026) =
* New – Add User Directory Module

= v4.2.10 (26 February, 2026) =
* New – Add Logout link to navigation menu for Classic and FSE themes
* New – Support custom image icons in Form Builder
* New – Add Kazakhstani Tenge (KZT) and expand currency list to ISO 4217 standard
* New – Add Cloudflare Turnstile validation
* Enhance – Improve Login form stability and validation fixes

= v4.2.9 (24 February, 2026) =
* New – Integration-specific AI form builder support
* New – Add Shortcodes Reference page under Tools menu
* Enhance – Improve Bank payment system
* Enhance – Add security validation for JSON file uploads
* Enhance – Strengthen authorization checks for draft post editing
* Fix – Correct AI form builder button text

= v4.2.8 (28 January, 2026) =
* New – Account page Re-Design
* New – AI settings improvements with temperature control, API key masking, and connection testing
* Enhance – Remove currency symbol from AI form builder pricing fields
* Enhance – Form builder UI and usability tweaks
* Enhance – Conditional options for field icon settings
* Enhance – Improve string translation and escaping in modal templates

= v4.2.7 (27 January, 2026) =
* New – Account page Re-Design
* New – AI settings improvements with temperature control, API key masking, and connection testing
* Enhance – Remove currency symbol from AI form builder pricing fields
* Enhance – Form builder UI and usability tweaks
* Enhance – Conditional options for field icon settings
* Enhance – Improve string translation and escaping in modal templates

= v4.2.6 (14 January, 2026) =
* New – Add AI-powered field options generator for dropdown, radio, and checkbox fields
* Fix – Correctly detect ACF taxonomies
* Fix – Subscription page title is broken
* Fix – Hidden CSS class removes fields from builder
* Fix – Color picker PRO badge icon and hover overlay in settings
* Fix – Resolve subscription post number rollback toggle not saving
* Fix – Event Venue & Organizer Handling Issues in Frontend Event Submission

= v4.2.5 (01 January, 2026) =
* Enhancement – Warning message for empty field options
* Enhancement – Login and Registration help text
* Fix – Add authorization checks for attachment deletion in form submission
* Fix – Update security by WordPress plugin check
* Fix – Radio and checkbox options going out for long list in form builder
* Fix – Add italic, underline, and bold styling to Settings link in field validators

= v4.2.4 (10 December, 2025) =
* New - n8n integration for post form
* Fix - Duplicate event on update for event calendar integration

= v4.2.3 (20 November, 2025) =
* Enhancement – Add dynamic AI model fetching and improved error handling
* Enhancement – System prompt update for better output for AI form builder
* Enhancement – Change pricing field logo
* Enhancement – Styling, CSS > replaced all old pro icon with new icon

= v4.2.2 (04 November, 2025) =
* Fix - Show/Hide field based on subscription plan
* Fix - Frontend subscription page CSS fixes

= v4.2.1 (30 October, 2025) =
* New - AI Powered Post Form Creation

= v4.1.15 (22 October, 2025) =
* Fix - Unwanted text appearing in 'View' and 'Preview' links

= v4.1.14 (21 October, 2025) =
* New - Dynamic Field Icons for improved visual customization
* Enhancement – Renamed "Published" tab to "Saved" on Form List pages for better clarity
* Enhancement – Added Upgrade and Discount links on the plugin page for easier access
* Enhancement – Pricing Fields PRO preview section added to the Form Builder

= v4.1.13 (07 October, 2025) =
* Enhancement - Security and Capabilities check

= v4.1.12 (24 September, 2025) =
* New - Video Content Submission post form template

= v4.1.11 (10 September, 2025) =
* Fix - CSS scope conflict

= v4.1.10 (01 September, 2025) =
* New - Allow webp image format in file upload fields
* Enhancement - Cleanup post form settings by removing form template option
* Fix - Prevent same name file conflicts upload

= v4.1.9 (12 August, 2025) =
* Fix - The Events Calendar integration

= v4.1.8 (04 August, 2025) =
* New - Template filtering search in post form
* Fix - Invoice and email not sent for payment gateways
* Fix - Product tag suggestion for WooCommerce
* Fix - Guest Post Email Verification Issue
* Fix - Namespaced global JS to prevent conflicts with other plugins
* Fix - Ensure Google Map fields display on frontend posts
* Fix - Required field validation for 'Pay as you post' to prevent empty submission
* Fix - Conditionally show 'Require email verification' only when 'Require Name and Email address' is checked
* Fix - A typo From Expired Message → Form Expired Message
* Fix - Post forms list table CSS

= v4.1.7 (15 July, 2025) =
* New - Add Sort Order for subscription
* Enhancement - Update country list and improve state handling
* Fix - Conflict with email log plugin
* Fix - Disable "Update Post Notification" pro features preview
* Fix - CSS on long form lists

= v4.1.6 (30 June, 2025) =
* Enhancement - Form title, description toggle added for post form
* Enhancement - Separate translation context for date range "To"
* Fix - PayPal redirection issues
* Fix - Allowed memory size error on the Post Forms List Page
* Fix - Improved registration page redirects to prevent interference with XML sitemap and XML file requests
* Fix - Dynamic url for {login} and {register} in un-authorized message

= v4.1.5 (2 June, 2025) =
* Enhancement - Added support for unlimited subscriptions.
* Enhancement - Added trial period & next billing dates in subscription.
* Enhancement - Added “Show More” button for subscriptions with many post types.
* Enhancement - Support for PayPal REST API for payments.
* Enhancement - Real-time PayPal Webhook support for payment events.
* Enhancement - Added REST API credentials & test mode to Payment settings.
* Fix - Forms list not loading issue fixed.
* Fix - Fixed issues with null gateways causing errors.
* Fix - Improved handling of duplicate PayPal transactions.
* Fix - Fixed several subscription-related bugs.
* Fix - Fixed tag auto-suggestions not appearing in post forms.

= v4.1.4 (12 May, 2025) =
* Enhance - Post form list page UI and UX
* Fix - Coupon functionality
* Fix - Post submission when name email not required
* Fix - Styling on multiple pages

= v4.1.3 (23 April, 2025) =
* Fix - Draft button does not appear
* Fix - Post submission when name email not required
* Fix - Subscription number not showing
* Fix - Image upload button condition
* Fix - Email body not respecting spaces
* Fix - Show recurring and trial info on subscription
* Fix - Minor css and styling

= v4.1.2 (16 April, 2025) =
* Fix - Help page of profile editing has duplicated text
* Fix - Warning message not showing when guest post submitted with duplicate email, username

= v4.1.1 (27 March, 2025) =
* Fix - Resolved validation issue with error (!) after form submission.
* Fix - Improve template selection UX to uncheck a selected post form template.

= v4.1.0 (20 March, 2025) =
* Enhance - Redesigned Post Form Builder UI/UX
* Enhance - Reorganized Forms Settings for better structure
* Enhance - Added a search bar for quick field filtering
* Enhance - Added new field & feature request submission area
* Enhance - Improved field grouping & customization

= v4.0.15 (19 March, 2025) =
* Fix - Security vulnerabilities: escaped variables & sanitized inputs
* Fix - Reverted SweetAlert2 to v11.4.8 for compliance
* Fix - Removed unnecessary files

= v4.0.14 (23 Nov, 2024) =
* Fix - Error in login page
* Fix - Support situations in which (WPUF) translations are loaded too early

= v4.0.13 (14 Nov, 2024) =
* Enhance - Cloudflare Turnstile field on form builder
* Enhance - Cloudflare Turnstile on login form
* Fix - Events calendar post form integration
* Fix - Post form submission with same email
* Fix - Post description image broken for block theme

= v4.0.12 (14 Oct, 2024) =
* Enhance - Decimal value for subscription pack
* Fix - Required asterisk on password label
* Fix - Field overlapping in address field
* Fix - Read-only does not work for 'Teeny Rich textarea'
* Fix - Integrations not loading properly for Dokan, ACF, WC Vendors

= v4.0.11 (12 Sep, 2024) =
* Enhance - Subscription design revamp
* Enhance - Consistent format in email templates
* Enhance - Move newsletter subscription to weMail
* Fix - Translation for password strength
* Fix - Different languages breaking design
* Fix - State field is not changing

= v4.0.10 (08 Aug, 2024) =
* Fix - Error on WC post template
* Fix - Move login validation to pro

= v4.0.9 (17 Jul, 2024) =
* Fix - Remove PHP AllowDynamicProperties warning on plugin pages
* Fix - Remove print_emoji_styles is deprecated message from setup page

= v4.0.8 (03 Jul, 2024) =
* Fix - Optimized the script loading process by removing a Promise polyfill
* Fix - Added validation on the transaction page

= v4.0.7 (11 Jun, 2024) =
* Enhance - Remove what's new page
* Fix - Pending user can log in
* Fix - Error when multiple password fields in form
* Fix - Error when using CPT on post form
* Fix - File upload problem using page builders
* Fix - Conflict with WC Stripe Gateway plugin
* Fix - Edit link on mail not working
* Fix - Form import is not working

= v4.0.6 (13 Feb, 2024) =
* Enhance - Update deprecated uses for PHP versions and latest WordPress
* Enhance - Eye icon inside password field
* Fix - Error after PayPal payment
* Fix - Reset password not working
* Fix - Subscription posting restriction not working

= v4.0.5 (31 Jan, 2024) =
* Enhance - Integrate headway and canny

= v4.0.4 (25 Jan, 2024) =
* Enhance - Add visibility to the Columns field
* Fix - Login with reCAPTCHA gives error
* Fix - AJAX image upload
* Fix - Error on multi select form custom taxonomy
* Fix - Frontend registration form is not showing
* Fix - Handle email for guest post
* Fix - Default form template not selecting
* Fix - Error in setup wizard

= v4.0.3 (05 Jan, 2024) =
* Enhance - Restructure plugin codes
* Fix - Error when editing the featured post
* Fix - add/edit post forms if the site language is set to Simplified Chinese
* Fix - Errors with Post Form Conditional Logic

= v4.0.2 (03 Jan, 2024) =
* Enhance - Restructure plugin codes
* Fix - Error when editing the featured post
* Fix - add/edit post forms if the site language is set to Simplified Chinese
* Fix - Errors with Post Form Conditional Logic

= v4.0.1 (03 Jan, 2024) =
* Enhance - Restructure plugin codes
* Fix - Error when editing the featured post
* Fix - add/edit post forms if the site language is set to Simplified Chinese
* Fix - Errors with Post Form Conditional Logic

= v4.0.0 (02 Jan, 2024) =
* Enhance - Restructure plugin codes
* Fix - Error when editing the featured post
* Fix - add/edit post forms if the site language is set to Simplified Chinese
* Fix - Errors with Post Form Conditional Logic

= v3.6.9 (11 Sep, 2023) =

* Enhance - add capabilities check on AJAX actions

= v3.6.8 (31 Aug, 2023) =

* Fix - Delete upload file even after clicking cancel button
* Fix - Taxonomy data not showing for checkbox
* Fix - Some validation for AJAX actions

= v3.6.7 (09 Aug, 2023) =

* Fix - conflicts with Advanced Custom Fields Pro Plugin
* Fix - conflicts with the Classic Editor Plugin
* Fix - multiple HTML field inside column field

= v3.6.6 (27 Jul, 2023) =

* Enhancement - Restrict shortcode in post form
* Enhancement - Add custom note on plugin update page

= v3.6.5 (25 May, 2023) =

* Enhancement - Revamp registration page design

* Fix - Expiration time not showing for admin
* Fix - Error when editing user profile

= v3.6.4 (4 Apr, 2023) =

* Fix - Post submission for dokan vendors
* Fix - Paypal transaction not showing
* Fix - Predefined category field not working
* Fix - Field visibility not working

= v3.6.3 (13 Feb, 2023) =

* Fix - Error if Dokan not installed
* Fix - Style conflict with LearnPress

= v3.6.2 (8 Feb, 2023) =

* Fix - Post submission for the Dokan Vendors

= v3.6.1 (2 Jan, 2023) =

* Enhancement - Add responsiveness to the upgrade-to-pro popup widget
* Enhancement - Update Appsero SDK to the latest version
* Enhancement - warning before updating a subscription package

* Fix - Subscription shouldn't be editable from user's profile
* Fix - Text field append '0' when character exceeds content restriction limit
* Fix - Fields within column doesn't behave as expected in forms
* Fix - Change sweetalert2 to v11.4.19 to remove anti-war message

= v3.6.0 (23 Nov, 2022) =

* Enhancement - Admin dashboard news and update meta-box added
* Enhancement - Upgrade prompts design

* Fix - Email style handled
* Fix - text-area type selection(Normal, Rich text-area, Teeny Rich text-area) bug in field options
* Fix - Frontend form validation
* Fix - Default value not saving for radio, dropdown, checkbox

* Update - sweetalert2 version

v3.5.29 (15 Sep, 2022) =

* Enhancement - Short-code encryption updated for registration page

= v3.5.28 (17 Jun, 2022) =

* Tweak - Updated compatibility with the latest version of WordPress 6.0
* Tweak - Improved some backend implementations

= v3.5.27 (15 Mar, 2022) =

* Enhancement - Email template enhanced for after activation
* Enhancement - Read only option for custom field
* Enhancement - Editor toolbar exclude option enhanced
* Enhancement - Preview option enhanced  for user profile
* Enhancement - Meta key enhanced for user email notification
* Enhancement - Global option for disable post edit on account
* Enhancement - Filter for conditional logic for fields added
* Fix - PHP 8 compatibility handled
* Fix - Address / Billing address inconsistency handled
* Fix - Content restriction several issue fixed
* Fix - Tax calculation properly handled for all areas
* Fix - Validation added for invalid email and URL formats
* Fix - Special character password handled for login
* Fix - Reset password handled for sidebar widget
* Fix - Required google map issues handled
* Fix - Translation related issue handled for admin menu
* Fix - Label & query enhanced for transaction table
* Fix - Template override for child theme fixed
* Fix - Custom field modal handled for registration form
* Fix - Redundant CSS issues handled
* Fix - Address field inconsistency fixed
* Fix - Plugin page spin loading issue handled
* Fix - Warning on exit for draft post fixed
* Fix - Unlimited expire on admin user profile handled
* Fix - No value checkbox issue handled
* Fix - Tag search security Vulnerability handled
* Fix - Multi dropdown field error handled


= v3.5.25 (18 Nov, 2021) =

* Enhancement - Promotion notice enhanced through api

= v3.5.25 (18 Nov, 2021) =

* Fix - Security Vulnerability fixed

= v3.5.22 (28 Oct, 2021) =

* Enhancement - Settings page search implemented
* Enhancement - Featured item for subscriber
* Enhancement - Warning added for unsaved form data on frontend
* Enhancement - Editor added for registration form email template
* Fix - Fallback pay per post not working with when draft enabled
* Fix - User Dashboard responsive issues fixed
* Fix - Showing wrong license expire message handled
* Fix - Remove expire cron handled for once daily
* Fix - Billing address validation handled
* Update - Promotion notice restricted for WPUF menu

= v3.5.21 (21 Oct, 2021) =

* Fix - reCaptcha issue with other plugin handled
* Fix - Multiple post type for wpuf dashboard not working fixed
* Fix - Billing address ajax request issue handled
* Update - Halloween promotion notice added

= v3.5.20 (16 Sep, 2021) =

* Enhancement - Content restriction for minimum, maximum value enhanced
* Enhancement - New option for redirection after pay per post payment in form setting
* Enhancement - Controller added for various email notification
* Enhancement - Placeholder added for unauth message option
* Update - Subscription Post expiration option change to input field
* Fix - Content restriction message translatable
* Fix - ACF integration inconsistency handled
* Fix - Enable payment checkbox handled for child option
* Fix - Broken asset link handled for custom field popup
* Fix - Rollback inconsistency for CPT handled
* Fix - Login form loaded after resetting password
* Fix - Billing address inconsistency handled
* Fix - Form duplication on creation handled
* Fix - Field Dragging inconsistency fixed

= v3.5.18 (06 Jul, 2021) =

* Enhancement - Google Map field enhanced along with acf google map
* Enhancement - Filter added for dashboard account menu
* Fix - Fallback Pay Per Post inconsistency handled
* Fix - Google map search field not showing
* Fix - Form preview page inconsistency with builder
* Fix - Category not showing as hierarchy
* Fix - TOC field rendering issue with registration form
* Fix - Custom plupload filter inconsistency with file upload handled
* Fix - Guest Pay Per Post inconsistency handled
* Fix - Responsive and font issue handled

= v3.5.17 (08 Jun, 2021) =

* Enhancement - Preview page added for post form and registration form
* Enhancement - Post types menu on account page added
* Enhancement - Dashboard shortcode attributes enhanced
* Enhancement - Account page post type list new design
* Fix - Payment page restricted from direct unauthenticated access
* Fix - Timepicker conflict with dokan handled
* Fix - Trial inconsistency with paypal fixed
* Fix - Subscription does not cancel with paypal due to profile missing id
* Fix - Subscription email notification inconsistency fixed
* Fix - Various issues on payment page for non-logged in user handled
* Fix - Column inner field cloning inconsistency fixed
* Fix - Popup z-index changed due to other plugin z-index

= v3.5.16 (08 May, 2021) =

* Update - Added Mauritian Rupee for currency
* Update - Added eid promotional offer notice
* Fix - Multiple google map validation for same form
* Fix - Various issues on verification, autologin payments & address field
* Fix - Docs update for file & attachments feature which is pro only

= v3.5.15 (15 March, 2021) =

* Notice - Limited time promotion for weDevs birthday
* Fix - Overflow footer on form builder page
* Fix - WordPress 5.7 compatibility

= v3.5.14 (08 March, 2021) =

* Fix - Meta key will not change if label update
* Fix - Login redirect empty previous url
* Fix - Email doesnt set as username
* Fix - Post redirection to payment doesn't work
* Fix - Address field not working when used with conditional logic
* Fix - Non recurring subscription did not work
* Fix - Ajax type category child of not working

= v3.5.13 (05 February, 2021) =

* Fix - Menu position has chenged due to dokan has same menu position
* Fix - Drag and drop not working properly for new field

= v3.5.11 (12 January, 2021) =
* Fix - QR and math captcha added to pro feature list
* Fix - Tooltip for category navigate
* Fix - Understandable guest payment notice
* Fix - Paypal non recurring pack id does not set


= v3.5.10 (18 December, 2020) =
* Update - Added holiday promotional offer notice

= v3.5.9 (11 December, 2020) =
* Fix - Once trial subscription is used, it couldn't reset
* Fix - Subscription cancel doesn't work
* Fix - The tax rate was not calculated with the total amount
* Fix - The width of the column field was breaking
* Enhancement - Paypal recurring payment

= v3.5.8 (21 November, 2020) =
* Fix - Updated codebase to fix timezone mismatch

= v3.5.7 (21 November, 2020) =
* Enhancement - Custom html content field's width
* Enhancement - All states of New Zealand are added

= v3.5.6 (13 November, 2020) =
* Fix - Can't edit post
* Fix - Show warning if newly created post form doesn't set role base enable
* Fix - Show warning in dashboard billing address tab

= v3.5.5 (12 November, 2020) =
* Fix - Dashboard page broken and couldn't render [wpuf_account], [wpuf_sub_pack], [wpuf_dashboard] shortcodes

= v3.5.4 (11 November, 2020) =
* Fix - Get appropriate user id when role based conditions are present
* Fix - Show Invalid subscription message if wrong pack id passed
* Fix - URL field new window not working
* Fix - Option label not working when & use
* Fix - Ajax type category not showing on edit
* Fix - Multiple file image can't select
* Fix - Subscription pack PayPal Checkout gets "Error: Access Denied"
* Fix - Conflict image field with acf image field
* Enhancement - Missing Auckland State for New Zealand country.
* Enhancement - Added support for WooCommerce product category value replacemen

= v3.5.3 (21 October, 2020) =
* Fix - Default post form is not showing on the frontend account
* Fix - Missing featured image field when previewing a post form
* Fix - Post query loop for post forms
* Fix - Post edit could not be edited after unlocking post edit
* Fix - Taxes couldn't count properly when selecting different tax region
* Fix - Google map field validation doesn't work
* Fix - Redirect payment page after post updating
* Fix - Custom field value and link send as plain text when sending an email for post notification

= v3.5.2 (22 September, 2020) =
* Fix - Changelog for wordpress.org

= v3.5.0 (22 September, 2020) =
* New - Add character restriction feature
* Tweak - Make sure post author edit link works only in frontend
* Fix - Inconsistency in lost password reset email message
* Fix - Saving custom taxonomy terms when input type is text
* Fix - Taxonomy field JS error in builder
* Fix - Showing WPUF edit link for WP default roles
* Fix - Upload button unresponsive issue in iOS

= v3.4.0 (24 August, 2020) =
* New - Add post edit link for post authors in single or archive pages
* Enhancement - Enhance post delete message
* Tweak - Refactor control buttons visibility in form builder
* Fix - Add missing colons after field label
* Fix - Post edit map capability condition
* Fix - Role based permission for accessing a post form
* Fix - Section-break field alignment
* Fix - Pay per post doesn't work if subscription pack is activated
* Fix - Mime type for uploading JSON files
* Fix - File upload with same file name
* Fix - Post preview missing fields
* Fix - Illigal variable declartion
* Fix - Featured image updating issue
* Fix - Conflict with Phlox theme
* Fix - Textarea custom field data sanitization
* Fix - exclude_type warning in wpuf_category_checklist
* Fix - Category field not showing all child categories for selection type child of
* Fix - Conflict between image and file upload custom fields
* Fix - Login url when login page is not set

= v3.3.1 (16 June, 2020) =
* Tweak - Use common names for Ivory Coast, North Korea and Sourth Korea instead of their official names
* Fix - Condition to use default avatar
* Fix - Make Email and URL fields clickable
* Fix - Redirect after user login
* Fix - Sanitize textarea field data
* Fix - Missing colon to email, URL, text and textarea labels when renders their data
* Fix - Prevent showing empty labels for fields that have render_field_data method

= v3.3.0 (11 June, 2020) =
* Enhancement - Add Namibian Dollar in currency list
* Enhancement - Add sync values option for option data fields
* Tweak - Allow uploading image that having filesize meets php ini settings
* Tweak - Limit the selection of one image at a time
* Tweak - Use file name and size to generate hash to prevent duplicant image upload
* Tweak - Sanitize text and textarea field data
* Tweak - Show label instead of values for radio, checkbox, dropdown and multiselect data
* Fix - Saving custom taxonomies for type text input
* Fix - Admin settings link for recaptcha helper text
* Fix - Undefined name property for Custom HTML fields
* Fix - Delete attachment process
* Fix - Missing billing address in invoice PDF
* Fix - Showing country field value in frontend post content
* Fix - Avatar size display not complying with admin settings size
* Fix - Display default avatars on admin settings discussion page
* Fix - Redirect to subscription page at registration
* Fix - Error notice regarding registration page redirect
* Fix - Escaping html in registration errors
* Fix - Default login redirect link
* Fix - Implementing default WP login page override option
* Fix - Transparent background of autosuggestion dropdown

= v3.2.0 (14 April, 2020) =
* **Improvement:** Import forms system
* **Improvement:** Password reset system
* **Improvement:** Updated url validation regex to support modern tlds
* **Fix** Export WPUF forms individually from admin tools page
* **Fix** Subscription cycle label translation issue
* **Fix** ACF integration for checkbox fields
* **Fix** Illegal string offset warning while updating settings
* **Fix** Conditional logic for Section Break field
* **Fix** Subscriptions cannot be deleted from backend
* **Fix** A regression regarding saving checkbox data
* **Fix** Default value of multi-select fields is not showing

= v3.1.18 (13 March, 2020) =
* **Improvement:** Hide post edit option when subscription is expired
* **Improvement:** Check files to prevent duplicity in media upload
* **Improvement:** Added Jordanian Dinar to currency list
* **Improvement:** Update post edit button display logic
* **Improvement:** Update some notice messages
* **Improvement:** Made some query and asset loading improvements
* **Improvement:** Refactor address fields in Account section & Payment page
* **Improvement:** Enqueue color picker only in some WPUF pages
* **Improvement:** Update Paypal payment gateway
* **Improvement:** Inconsistency with the Shop Name & Shop URL in WPUF Vendor registration form
* **Fix:** Prevent taxonomy and category fields from being duplicated
* **Fix:** Selected form export issue
* **Fix:** Category column issue in dashboard
* **Fix:** Taxonomy checkbox checked not showing
* **Fix:** Fatal error after updating privacy policy page
* **Fix:** Fixed some instances of wrong escaping
* **Fix:** Submit issue with image and reCaptcha
* **Fix:** Expired subscription pack throwing error on dashboard
* **Fix:** Photo insert option in content editor and feature image field is not working on windows server
* **Fix:** HTML Tags are not rendering the HTML format for the Radio or Checkbox Field
* **Fix:** Country List field issue in frontend
* **Fix:** Multi-column Repeater field data saving issue
* **Fix:** Multistep form conflict with Elementor
* **Fix:** Compatibility issue with ACF date time field
* **Fix:** Meta field issue with multiple images
* **Fix:** Category type as "Text Input" is not saving.
* **Fix:** Some warnings in user directory
* **Fix:** File upload can fail in some cases
* **Fix:** Media title, caption & description not saving
* **Fix:** Address Field not rendering properly in email notification
* **Fix:** Checkbox data not saving from WPUF Custom Fields metabox
* **Fix:** Workaround for The Events Calendar venue and organizer fields in metabox

= v3.1.17 (31 January, 2020) =
* **Fix:** some regressions after phpcs fixes

= v3.1.16 (17 January, 2020) =
* **Fix:** Photo insert option in content editor
* **Fix:** Subscription page is not showing the content/package description as formatted content
* **Fix:** Predefined form is not saving on the WPUF form page's backend area
* **Fix:** WPUF Custom HTML field is not saving the data
* **Improve:** Improve Code Quality

= v3.1.15 (14 January, 2020) =
* **Fix:** update url validation
* **Tweak:** Added privacy policy info in setup wizard for admin

= v3.1.14 (13 December, 2019) =

* **Fix:** Fixed a warning while in block editor
* **Fix:** Add better URL validation
* **New:** Added two filters on transaction
* **Fix:** Notification Checkbox not working
* **Fix:** Fixed some Column field issues

= v3.1.13 (18 November, 2019) =

* **New:** Added Arabic translations.
* **Fix:** Free subscription info was not showing in dashboard.
* **Fix:** Fixed subscriptions can't be assigned from user profile due to a regression.
* **Fix:** Fixed some column field issues. closes #734
* **Fix:** Guest post hook was not working properly. Closes #704
* **Fix:** Fixed missing default value for post content rich text editor. Closes #730

= v3.1.12 (17 October, 2019) =

* **Fix:** Nonce not verify on login

= v3.1.11 (02 October, 2019) =

* **Feature:** Option to set which tab shows as active on the account page.
* **Fix:** Unlock option was unavailable after the post being locked.
* **Fix:** Gutenberg block of WPUF didn't work on bedrock installation.
* **Fix:** Sending admin payment received email twice.
* **Enhancement:** Add shortcode support to display post information in the Post Expiration Message.
* **Enhancement:** Add Appsero option checkbox on the setup wizard.

= v3.1.10 (06 September, 2019) =

* **Fix:** Posts were not assigned to the selected default post owner.
* **Fix:** Google reCaptcha was not working, users could submit the form without reCaptcha validation.

= v3.1.9 (22 July, 2019) =

* **Fix:** call_user_func_array() error while editing or add a new post from admin panel.
* **Fix:** Address fields on payment page were not checking which fields are optional.
* **Fix:** WooCommerce gallery images were not being shown on the frontend.
* **Fix:** Show & hide coupon message based on response.
* **Fix:** Login page was including registration page link even when user registration was turned off.
* **Fix:** Notification emails were not respecting the spaces.

= v3.1.8 (26 June, 2019) =

* **Fix:** Multistep form was scrolling to the top of the browser instead of moving to the top of the form when clicking on `Next` or `Previous` button.
* **Fix:** Uploaded images were not showing in the ACF gallery field.
* **Fix:** Billing address was not saved from the frontend payment page.
* **Fix:** Added translation functions to the missing strings.
* **Fix:** Dependency styles error of Gutenblock-editor.css.

= v3.1.7 (31 May, 2019) =

* **Fix:** check for 'button_label' existence before using it.
* **Fix:** after accepting bank payment, post status was not changing.
* **Fix:** custom taxonomy empty value was not saving when editing a post & field type is a checkbox.
* **Fix:** fix PHP warning.
* **Improvement:** added `Select Country` text for billing address country field.

= v3.1.6 (23 May, 2019) =

* **Fix:** URL field empty value was not saving.
* **Fix:** Custom taxonomy field empty data were not updating.
* **Fix:** Added translation function for missing strings.
* **Improvement:** Added active class to account page menu items.
* **Improvement:** Responsive frontend pages.

= v3.1.5 (02 May, 2019) =

* **Fix:** Conflict weDevs insight library with WP Project Manager plugin.

= v3.1.4 (02 May, 2019) =

* **Fix:** Category field data were not being saved when conditional logic is applied to custom taxonomy fields based on category field.
* **Fix:** While editing the checkbox values from the backend user profile page, the values were not being saved.
* **Fix:** While editing profile, using the default profile form, the password strength indicator didn't respond.
* **Fix:** Insights data were not being sent.

= v3.1.3 (15 April, 2019) =

* **Fix:** Required option of checkbox field was not validating on the frontend.
* **Fix:** Select mulitple options in checkbox field doesn't save the data.
* **Fix:** Fallback pay per post was not respecting the payment procedure & fallback cost was not correct on the payment page.

= v3.1.2 (01 April, 2019) =

* **Feature:** Added column field: Now, creating multi-column in a single row is super easy with WPUF Column field. Just drag the column field in the builder area, configure columns number, column space and add any fields you want inside that Column field.
* **Fix:** Unable to render the events on the front-end: On the frontend dashboard, the submitted events were not showing, you will get it fixed in this version.
* **Fix:** Page order getting 0(zero) after editing from the frontend: Page order was not saving while editing a post using WPUF form, it has been fixed.
* **Fix:** Text Input field for Taxonomies not working: When taxonomy field type is set to `Text Input` then a fatal error was showing on the frontend, no error with taxonomy field in the latest version
* **Fix:** In radio and checkbox field use conditional logic that value does not save in database: The selected value of radio and checkbox field were not showing while editing posts from the backend or frontend, you can see the selected value in this version.
* **Fix:** The args parameter not working with get_avatar filter: The args parameter did not exist with get_avatar filter, which now exists.
* **Fix:** The item in ajax taxonomy field is not selected: When the taxonomy field type is set to Ajax, the submitted terms were not showing in the backend and frontend which have been fixed.

= v3.1.1 (28 February, 2019) =

* **Fix:** Help text in the Category field were not displaying on the frontend.
* **Fix:** Category was not editable when editing the post from the frontend.
* **Fix:** Display the admin bar when user role exist.
* **Fix:** When the admin edits a post from the backend, it was creating duplicate post.
* **Fix:** After enabling post expiration in post form do not save post_expiration meta.
* **Fix:** Checkboxes were not linking/syncing with ACF field.
* **Fix:** Publish time input option in the Date/Time field, was not working.

= v3.1.0 (31 January, 2019) =

* **Fix:** The Default registration form `[wpuf-registration]` was unable to send the new user registration email.
* **Fix:** With the latest version of WordPress the Gutenberg block of WP User Frontend were not working. Fixed in this version.
* **Fix:** While using Gutenberg editor, the pages were not being updated with WPUF shortcode consisting`[wpuf dashboard]`
* **Fix:** From the User Frontend Settings, you had the capability to set if the Administrator, Editor, Vendor etc can see the admin bar. Now, the super admin want one specific user ( who has the user role from the above ) can't see the admin bar and disabled it from the Toolbar form that specific user profile. And this configuration ( Toolbar ) from the specific user profile were unable to impact on the frontend.
* **Fix:** WP User Frontend was unable to install with PHP 5.4 or lower version.
* **Fix:** When a user uploaded single image for product gallery using WPUF WooCommerce product form, that image was not showing on the frontend.

= v3.0.2 (1 January, 2019) =

* **Feature:** Added post lock feature based on posts and user
* **Fix:** 'show directions' link doesn't show with the google map on submitted post
* **Fix:** Subscription pack price not formatting according to the settings
* **Fix:** Post date is not updating when enable time input option for date field

= v3.0.1 (5 December, 2018) =

* **Fix:** Image is duplicating

= v3.0.0 (4 December, 2018) =

* **New:** Integrated WC Marketplace plugin: vendor can submit post from their frontend dashboard
* **New:** Integrated WC Vendors plugin: vendor can submit post from their frontend dashboard
* **Fix:** Post is getting duplicate while updating

= v2.9.4 (20 November, 2018) =

* **Fix:** WooCommerce Gallery images not getting saved

= v2.9.3 (02 November, 2018) =

* **Fix:** NoCaptcha reCaptcha compatibility issue
* **Fix:** Empty URL field label showing with the post on frontend
* **New:** Add option to hide field label
* **New:** Use theme style for all input fields
* **New:** Added SweetAlert pop up box for image delete & subscription cancel confirmaton
* **Improved:** Showing user display name instead of username on the frontend dashboard

= v2.9.2 (20 September, 2018) =

* **Fix:** Delete & drag icon showing inappropriately
* **Fix:** Custom fields data not showing on the frontend when different conditional logic apply based on same field with different options

= v2.9.1 (18 August, 2018) =

* **New:** Added custom classes to make two or three columns form
* **Fix:** If add a field with the 'field visibility' to the admin only, it was fine to the admin. But, the field and the fields below were not showing to the non-admin users. It has been fixed in this version.
* **Fix:** Duplicated field was not saving on the post form

= v2.9.0 (16 August, 2018) =

* **New:** The Events Calendar Integration Form
* **New:** Post Submission Facility From Account Page
* **Improved:** Login/Lost Password Link Under Registration Form
* **Improved:** Added settings to show/hide payment column on frontend dashboard table
* **Fix:** Draft post gets published after editing without even asking for payment
* **Fix:** Added Placeholder for Empty Featured Image

= v2.8.10 (17 July, 2018) =

* **New:** Added drag and drop image ordering on image upload field
* **New:** Added preview option in forms
* **New:** Added form limit message before form submission
* **New:** Added option to show reCAPTCHA field in login forms
* **Improved:** Replace alert with Sweet-alert in frontend
* **Improved:** Internationalized subscription pack cycle period labels
* **Fix:** "Select Image" button disappears while uploading multiple images.
* **Fix:** Showing username while login with wrong password and email
* **Fix:** Default post category not saving
* **Fix:** Pages was not being created from setup wizard
* **Fix:** Separator spacing for multi select and checkbox render view
* **Fix:** Form id specific posts are not displaying on the dashboard

= v2.8.9 (6 June, 2018) =

* **New:** Added functionality to export and erase WP User Frontend Data.
* **New:** Added billing address customizer.
* **New:** Changed plugin text-domain to 'wp-user-frontend' from 'wpuf'.
* **Improved:** Some responsive adjustments are made in payment page.
* **Improved:** Some scripts and styles were loading in all pages, it is fixed now.
* **Improved:** Fixed warning on dashboard for custom post types with no label.
* **Fix:** Images were not showing after upload in safari, it is fixed now.
* **Fix:** Posts cannot be updated after changing post images, it is fixed now.
* **Fix:** Fixed getting fatal error when submitting post with image in some cases.
* **Fix:** Fixed billing amount not showing when assign pack from backend.
* **Fix:** Fixed some translations issues.

= v2.8.8 (16 May, 2018) =

* **New:** Allow override form input style using theme styling.
* **Improved:** Nocaptcha recaptcha wasn't working when allow_url_fopen is disabled is fixed.
* **Improved:** Free pack users were not showing in subscribers list, now they will.
* **Improved:** If login override is disabled redirect to default wordpress register page.
* **Improved:** Updated image upload field style.
* **Improved:** Updated logged in user display style.
* **Improved:** Added label in featured image field.
* **Improved:** Changed content of subscription expiration mail.
* **Fix:** Taxonomy fields checkboxes were disappearing from builder in some cases, now they won't.
* **Fix:** Fallback cost calculation was inaccurate, it is fixed now.
* **Fix:** Subscription expiry date showing wrong time for unlimited packs, it is fixed now.
* **Fix:** User subscription deletion gets reverted if updated, it is fixed now.
* **Fix:** Fixed some issues in Advanced Custom Fields(Free) compatibility
* **Fix:** Fixed some translations issues.

= v2.8.7 (09 April, 2018) =

* **New:** Added WP User Frontend Guten Block
* **New:** Added Advanced Custom Fields(Free) compatibility
* **New:** Added Avatar size settings
* **Improved:** Changed postcode input field to string in billing address
* **Improved:** Added PHP backward compatibility for login redirect
* **Fix:** Taxonomy Terms not showing for custom post types in form settings
* **Fix:** Taxonomy Terms not showing for custom post types in front-end dashboard
* **Fix:** Fixed some issues in billing address

= v2.8.6 (22 March, 2018) =

* **Improved:** Added backward compatibility for WooCommerce product template
* **Fix:** Some fields were rendered as Array
* **Fix:** Added WoooCommerce address sync with WP User Frontend billing address
* **Fix:** Fixed issues in Reset Password Mail
* **Fix:** Fixed invalid key in email
* **Fix:** Subscription trial message was not showing properly
* **Fix:** Address Field was not updating
* **Fix:** Subscription Email toggle in settings was not working properly
* **Fix:** Sometimes username was not showing in transaction list
* **Fix:** Post count not showing on the frontend dashboard
* **Fix:** Date/Time was not following backend format in frontend
* **Fix:** Login redirect issues with blank page

= v2.8.5 (12 March, 2018) =

 * **New:** Enhanced Login Redirect settings to redirect to previous page
 * **Fix:** Form fields help text styles now showing properly
 * **Fix:** Reset Links not showing on HTML email in some cases
 * **Improved:** Show Form schedule notice before form submission
 * **Improved:** Added version meta for Forms
 * **Improved:** various other code improvements

= v2.8.4 (04 March, 2018) =

 * **New:** Dashboard post listing now supports multiple post type within shortcode
 * **New:** Added settings in URL field to view link on new window or same window
 * **New:** Added settings to change button text for Image upload field
 * **New:** Added Login Redirect settings to redirect users to a page after login
 * **Fix:** MultiStep Form styles not working properly
 * **Fix:** Account Activation link not working for new users
 * **Fix:** Separated Serbia and Montenegro in country list
 * **Fix:** Required field condition for google map not working
 * **Fix:** Post submission infinity loop issue fixed
 * **Fix:** TinyMCE styling not working on frontend layouts fixed
 * **Improved:** Updated turkish translation

= v2.8.3 (15 February, 2018) =

 * **New:** Admin form builder is now fully responsive.
 * **New:** Added color schemes for creating attractive form layouts.
 * **Fix:** Confirmation password field size is not updated
 * **Fix:** Email notification contains unnecessary texts
 * **Fix:** Assign pack costs not showing on admin fixed
 * **Fix:** Restrict Free subscription pack to be enabled multiple times
 * **Fix:** While updating post, image changes are updated after saving the post
 * **Improved:** Show purchase link on notice of post purchase
 * **Improved:** Hide edit link on front-end post listing if editing is disabled

= v2.8.2 (23 January, 2017) =

 * **Improved:** Added upgrade function for default category: Upgrader added to upgrade previously set default post category.
 * **New:** Subscription pack cannot be canceled: Fixed recurring subscription pack cannot be canceled from my account page in subscription details section.
 * **Fix:** page installer admin notice logic issue: Fixed page installer admin notice logic problem due to new payment settings default value not set.

= v2.8.1 (14 January, 2017) =

 * **New:** Setup Wizard: Setup Wizard added to turn off payment options and install pages.
 * **New:** Multi-select Category: Add multi-select to default category in post form settings.
 * **Improved:** Select Text option for Taxonomy: Add Select Text option for taxonomy fields. Now you can add default text with empty value as first option for Taxonomy dropdown.
 * **Improved:** Taxonomy Checkbox Inline: Added checkbox inline option to taxonomy checkbox. You can now display Taxonomy checkbox fields inline.
 * **Fix:** WooComerce Template fix: WooCommerce product form submittion error fixed. Product adding with WooCommerce template works fine now.
 * **Fix:** Date Display Issue: Date not save/display after save form settings in Schedule form section.
 * **Fix:** Default Field Width: Default Field Width set empty. Previously set as medium.


= v2.8.0 (6 January, 2017) =

 * **New:** Limit Entries: limit how many entries a form will accept and display a custom message when that limit is reached.
 * **New:** Schedule form: Don't accept form submission if the current date is not between the date range of the schedule.
 * **New:** Restrict Users: Restrict form submission based on the users role.
 * **New:** Show/hide Admin Bar: Control the admin bar visibility based on user roles.
 * **New:** Ajax Login widget: Login user is more simple now with Ajax Login Widget. The simple login form don't required page loding for login.
 * **Improved:** Form submission with Captcha: Form field validation process updated if form submits with captcha field.
 * **Fix:** Payment redirection: Pay per post payment redirection not working after subscription expired.
 * **Fix:** Edit Profile: User cannot edit their profile by frontend profile edit form.
 * **Fix:** Undefined error: Data processing error on purchasing free subscription pack.


= v2.7.0 (12 December, 2017) =

 * **New:** Posting integration with Dokan added. Now you can create and edit blog posts from your Dokan dashboard.
 * **New:** Fallback cost for form subscription payment. When a subscribed user reaches post limit before the pack expires, this option will allow user to pay per post and continue making posts until the membership is valid.
 * **New:** Added bulk accept feature to pending transactions.
 * **New:** We have removed the add-on page and introduced a premium page with all the features available for you when you upgrade to pro version.
 * **New:** A **What's New** page has been added to let users know about the most important new features and fixes has been introduced to the current version of the plugin.
 * **New:** Newsletter subscription form added on the help page to keep you staying updated with latest news from us.
 * **Improved:** A newly designed settings page has been introduced where you can easily configure everything more easily.
 * **Improved:** If you are using a PHP version older than 5.4, you'll see notice to update your PHP version.
 * **Improved:** Design improvements of subscription edit screen and user profile area in backend, it looks pretier now.
 * **Improved:** Few settings options has been re-arranged in different tabs for better understanding.
 * **Fix:** Fix Pay Per Post only shows round figure in frontend. #269


= v2.6.1 (8 November, 2017) =

 * **Fix:** Fixed subscription pack frontend display issue. A small bug was introduced that was preventing displaying the subscription packs correctly.
 * **Fix:** Fix for packs with unlimited post. We had a small mistake in pack post counting and unlimited subscription plan was discarded. This version fixes the issue.


= v2.6.0 (6 November, 2017) =

 * **New:** When configuring payment settings from wp-admin → User Frontend → Settings → Payments, the payment options were applicable for all post forms with the same behavior. Admin could not configure payment option for each post form individually. In this version, the payment configuration option for individual form has been added. Now the admin can configure payment from wp-admin → User Frontend → Post Forms → Add/Edit a form → Navigate Payment Settings located under Settings tab.
 * **New:** When rendering a form, each field can be shown/hidden based on the type of user roles, subscription pack. This visibility option is located under **Advanced Options** section of each form field and provides a more granular control over which value you want to show and to whom.
 * **New:** **Menu Restriction** feature added. Like content restriction, now the admin can restrict the menu items based on roles of logged in users, logged out users, subscription pack or everyone. Available to **Pro** users.
 * **New:** When use `[wpuf_sub_pack]` shortcode, all the subscriptions were visible on the frontend. Admin could not exclude any subscription pack from the available packs. Now, the admin has the opportunity to show specific subscription pack using include/exclude attributes inside `[wpuf_sub_pack]` shortcode. For example, if you have 3 subscription packs with 101, 102, 103 IDs and want to show only the last two packs then you can use `[wpuf_sub_pack include="102,103"]` or to exclude the middle one from the list then you can use `[wpuf_sub_pack exclude="102" order="DESC"]`.
 * **New:** Admin could not understand which users currently have subscription validity & what is the subscription pack a user is assigned to. Now, a new column **Subscribers** has been added in the **User Frontend** → **Subscriptions** list. Admin can easily understand how many users have purchased a subscription pack & who are the users.
 * **New:** **Payment Invoice** added. Users who purchase a subscription or process payment for pay per post could not receive an invoice. Now, it's available, a PDF invoice will  be sent to user's email with details. Available to **Pro** users.
 * **New:** Registration/Login function is now available in the free version. User's don't need to login/registration using WordPress default form but the frontend opportunity of WPUF plugin.
 * **New:** **"Custom Fields in post"** option was available in global settings (User Frontend > Settings > General Options) when admin enable it the data of all the custom fields of all post forms were showing on the frontend with the post. Now, the admin has more flexibility to choose which field's data will show on the frontend. This option can be found as **"Show data in the post"** when editing custom fields under **"Advanced Options"** section.
 * **Fix:** When viewing pending transactions, the admin could not see more than 20 but there are a lot more available then this number. This issue has been fixed.
 * **Fix:** Now, the site must have SSL (https) enabled to receive payment with PayPal. We had to update the payment process due to [PayPal security update notice](https://www.paypal-notice.com/en/IPN-Verification-Postback-to-HTTPS/)
 * **New:** Added plugin welcome wizard. Users who are installing the plugin for the first time will be presented with a nice video and instructions to configure the plugin.
 * **Improved:** Styling update for edit profile shortcode, now it looks more user friendly with newly applied styles.
 * **Improved:** Add form preview image in template popup.
 * **Improved:** Improved help texts in settings → general & form settings

= v2.5.7 (18 October, 2017) =

 * **New:** Guest post email verification feature added. When turned on, users need to click the activation link on their email before publising the post.
 * **New:** Added Login and Registration shortcode support in the plugin. Now free version users will get the themed login and a simple registration feature.
 * **Improved:** Add missing icon on field button (form builder).
 * **Improved:** Added related help documents/links in various pages.
 * **Fix:** Fix the upgrade routine. Version number mismatch gives fatal error. Fixes #179
 * **Fix:** Removed integration classes, vue modal component from WPUF as it was not necessary anymore.
 * **Fix:** Users could not update profile from my account page.
 * **Fix:** Product visibility for WooCommerce wasn't working as they migrated to a taxonomy system.
 * **Fix:** PayPal gateway security enforced. When checking the IPN request, few things weren't being done before checking the valid IPN response.

= v2.5.7 (11 September, 2017) =

 * [improved] Added background in form builder div, so notices don’t overlap the form builder
 * [improved] Added filter `wpuf_free_loader` for conditional loading pro elements. Added class instance container to access class instances via <code>wpuf()->dashboard</code> like magic methods.
 * [new] Form label display settings added. Now you can place the form element labels at left/right/above/hide, brings more flexibility.
 * [new] New post notification feature brought back in individual form notification settings. You could only change the new post notification email in the PRO version, now you can change it in the free version, as well as disable the email.

= v2.5.6 (28 August, 2017) =

 * [fix] Call subscriptions.js file directly from the js directory. Fix #174

= v2.5.5 (26 August, 2017) =

 * [new] Added Invisible reCaptcha option
 * [new] Added weForms shortcode on script loading check
 * [improve] functions formatting
 * [improve] reCaptcha field title and settings tweak
 * [fix] Fixed translation issue by removing translation function of admin menu
 * [fix] WPUF Custom Fields don’t save in admin/editor
 * [fix] Fatal Error:undefined function wpuf_cf_count_form_entries()
 * [fix] Fix form entries count function name

= v2.5.4 (30 July, 2017) =

 * [new] Added WPUF admin menu icon
 + [new] Added Recaptcha field
 + [new] Added tracker (weDevs Insights)
 * [improve] Add Spanish Translation
 * [improve] Re-design addons page according to WP plugins page listing
 * [improve] When duplicating a form, add a form ID in the form name
 * [improve] Remove Google map and reCaptcha settings
 * [improve] Remove “Fixed form elements” from settings → general
 * [improve] Remove additional + - buttons on radio buttons
 * [improve] Removed Autoloader, Single JS Templates
 * [improve] Form settings saving: compatible with JSON payload
 * [improve] Editor: show warning only when some form field have changed
 * [improve] Added integrations class
 * [improve] Form notification, modal, integration components added
 * [improve] Added first/middle/last name support on merge tag
 * [fix] Sweetalert returning text "true" instead of original message
 * [fix] Hide subscription menu from "my account" page when user has no subscription pack
 * [fix] On saving as draft post custom taxonomy not saved
 * [fix] Page content not loading after successful submission of Ajax
 * [fix] URL is not clickable on the frontend
 * [fix] Mail & URL Field not have validation
 * [fix] Fix infinite post and make compatible with ACF plugin
 * [fix] Cannot delete attribute field from product form after delete attribute
 * [fix] Apply coupon returned unexpected value for separator
 * [fix] swal: fix text and button color
 * [fix] Form render error when using shortcodes in custom html field
 * [fix] Conflict with Imagify Image Optimizer plugin
 * [fix] When site language changed, Add Form/ Edit Form page display nothing
 * [fix] Fix sweetalert promise
 * [fix] Subscription don't display any value if there has no remaining post
 * [fix] Google map not loading on multistep form
 * [fix] Fix undefined index in count
 * [fix] Invalid post type due to class loading hook

= v2.5.3 (8 June, 2017) =

 * [improve] Update action name by removing language changing option
 * [improve] Update SweetAlert version
 * [improve] Added merge tags component
 * [improve] Correctly use password strength meter and show mismatch
 * [improve] Add post forms js dependency filter
 * [improve] Radio/checkbox inline-block CSS added
 * [fix] Default option not set in radio field
 * [fix] Selected option gets level rather than value
 * [fix] Multi select and checkbox default value issue
 * [fix] Refresh upload buttons on multistep forms on each step change
 * [fix] Radio buttons pre-select default option not working while editing the button value
 * [fix] Corrected the plugin documentation link
 * [fix] Mail not going on post expiration
 * [fix] Cannot delete attribute field from product form after delete attribute
 * [fix] Overload Js in subscription and form setting
 * [fix] Post empty content issue on save draft
 * [fix] Form render error when using shortcodes in custom html field
 * [fix] Conflict with Imagify Image Optimizer plugin
 * [fix] When site language changed, Add Form/ Edit Form page display nothing


= v2.5.2 (27 April, 2017) =

 * [improve] Added word limit feature for text field
 * [improve] Added page shortcode insert button in TinyMCE
 * [improve] Added media button to insert form shortcode in post/page edit
 * [improve] Added parameter in wpuf_format_price function to allow return both (with symbol and without symbol) price format
 * [improve] Replace shorthand array syntax due to php version compatibility
 * [improve] Added coupon code error message in payment page
 * [improve] Added apply_filters to manage page shortcode
 * [improve] Modal links and link tags updated for extending
 * [improve] Added function to get client IP
 * [improve] Saving custom fields sanitized and switched
 * [improve] Added notification settings in core
 * [improve] Added meta box to public post to select post edit form for frontend
 * [improve] Added delete form and form submission open checking function
 * [improve] Added label type core support on form builder with CSS
 * [improve] Notification added on post form template class
 * [fix] Dashboard template html closing tag issue
 * [fix] Radio buttons & checkbox display issue
 * [fix] Paypal payment status issue
 * [fix] Form edit screen not showing in Internet Explorer
 * [fix] WooCommerce attribute not showing issue
 * [fix] Change the form status to publish once saved on duplicating a form
 * [fix] The cancel subscription button doesn't work with non-recurring subscription
 * [fix] Post is not creating by Save Draft button with no post content field
 * [fix] Discount amount not deducting when payment is processed with bank option
 * [fix] Image/File upload field not working when JavaScript is optimized by Async JavaScript plugin
 * [fix] "save draft" button not working post saving as pending, conflict with subscription


= v2.5.1 (22 March, 2017) =

 * [improve] Update vue.js and vuex.js version
 * [improve] Update parent_slug parameter of add_submenu_page function to 'wp-user-frontend'
 * [fix] Admin fields in form edit section reset on clicking 'Save form' button


= v2.5 (18 March, 2017) =

 * [new] Brand new form builder added for post form and profile form
 * [new] Added payment status for pay per post
 * [improve] `wpuf_add_html` filter name changed to `wpuf_custom_field_render`
 * [improve] add and update price formating function


= v2.4.4 (22 February, 2017) =

 * [fix] Undefined JavaScript error when post is editing in admin
 * [fix] User IP if the script is running in cli
 * [fix] Date field on frontend post
 * [fix] Hide subscription tab from my account page when subscription is turned off
 * [fix] Plugin activation hooks
 * [fix] Recaptcha refresh when validation failed


= v2.4.3 (07 February, 2017) =

 * [fix] PHP backward compatibility issue


= v2.4.2 (05 February, 2017) =

 * [new] Shortcodes supported on post notification's every field
 * [fix] Conditional logic on address field
 * [fix] Pricing format improvements
 * [new] Currency position settings
 * [fix] File upload warning
 * [new] Re-design Transactions List Table
 * [new] Separated Free & Pro plugin
 * [fix] Draft post empty content issue
 * [new] My Account Dashboard `[wpuf_account]`


= v2.4.1 (12 January, 2017) =

 * [new] Added a function `wpuf_get_countries()`
 * [fix] Enable paynow url on dashboard if a new post is submitted as draft
 * [fix] Invalid post id for editing
 * [fix] Removed subscription trial cost
 * [new] Showing messages when there is no form associated with an id or deleted or not published yet
 * [new] Added dynamic action hooks `wpuf_cancel_payment_{gateway}`, `wpuf_cancel_subscription_{gateway}`
 * [fix] User profile url on transaction's list
 * [fix] Multistep form button & validations
 * [fix] Replaced some raw query to builder
 * [new] jQuery added on preview form
 * [fix] Some undefined variables issue
 * [fix] Replaced `$wpdb->escape()` to `$wpdb->prepare()` for depreciation
 * [fix] Missing data when saving draft post
 * [fix] Updated some textdomains
 * [fix] `wpuf-ajax-tag-search` priv/nopriv ajax request


= v2.4 (26 October, 2016) =

 * [fix] Plupload string translations
 * [fix] Post expiration logic updated
 * [fix] Ignore google map error when the API key is not inserted
 * [fix] Upload error from admin panel, nonce issue
 * [fix] reCaptcha lib constructor for strict standard
 * [fix] tinyMCE and textarea word limit fixed
 * [fix] User profile edit warning issue fixed for PHP 7
 * [fix] Tag suggestion showing -1
 * [fix] Showing -1 in case of unlimited remaining post count
 * [fix] Google map on a multi-step section
 * [improved] Settings API v1.3 updated
 * [improved] Added links to transaction packs in admin area
 * [new] Post template feature added with simple post and WooCommerce form template
 * [new] Added filter on text area editor args
 * [new] Content restriction added on *pro* version


= v2.3.15 (11 August, 2016) =

 * [fix] License renewal prompt fix


= v2.3.14 (10 August, 2016) =

 * [fix] Text domain and translated strings updated
 * [fix] Reloading the profile/registration page after deleting the avatar fixed.
 * [fix] Styling of delete button of form fixed.
 * [fix] Visibility of deleting avatar button fixed.
 * [fix] Issue with saving form in php 7 fixed.
 * [fix] Restoring remaining number of posts allowed to post in subscription is now working for non-admin member (Pro).
 * [fix] noCaptcha in registration is now working (Pro).
 * [fix] Registration form is now saving in php 7 (Pro).
 * [new] Form file uploader is now allowing uploading multiple files and removing extras with warnings.
 * [new] New filters added to show meta functions
 * [new] gMap API settings Added
 * [new] Registration field added (Pro).
 * [new] Post taxonomies visibility in form builder are now dependent on the post type selected (Pro).
 * [new] Multiple forms in the same page


= v2.3.13 (30 March, 2016) =

 * [fix] Paypal user agent changed and issue with paypal transection fixed
 * [new] Multiple images/files can now be uploaded at a time in image and file fields
 * [fix] Upload.js has been modified
 * [fix] Problem with saving form element in php 7.0.0 is fixed


= v2.3.12 (8 February, 2016) =

 * [new] WooCommerce Product Category and Attributes are now sectionized
 * [new] Error notice can now be translated.
 * [new] Errors on filling up the form will now be visible as warning/notice below the relevant field in front end.
 * [new] Meta key name in form field in form builder  will now be auto populated only if the meta key field is empty
 * [fix] Progress bar issue in post edit mode is fixed
 * [new] Multistep registration form added
 * [new] Hook added before registration form
 * [fix] SSL issue fixed


= v2.3.11 (8 February, 2016) =

 * [fix] File upload vulnerability fix. Props to: Panagiotis Vagenas
 * [fix] Replaced deprecated user notification function
 * [fix] Email error validation in multistep
 * [fix] Disabling subscription in form settings
 * [fix] Product taxonomy fixes
 * [new] No-captcha support added


= v2.3.10 (5 Ocotber, 2015) =

 * [fix] Custom css is now working
 * [fix] Textdomain added to some text
 * [fix] Visibility of address field data in the frontend is now fixed
 * [tweak] A new filter has been added to get subscription meta data
 * [new] A new option has been added to date field to treat it future publish date if user wants
 * [new] Autologin after registration - feature added
 * [new] Confirmation alert added when user wants to delete subscription in frontend
 * [fix] Publish post after paypal payment completion


= v2.3.9 (13 Sepetember, 2015) =

 * [fix] Newly registered users were having no meta named "wpuf_postlock"
 * [fix] Newly registered users (having no meta named "wpuf_postlock") are now having form in the frontend
 * [fix] Text input field for category is now working
 * [fix] Pack id warning in admin area profile
 * [fix] Error in rendering map in edit mode, when having no value
 * [fix] Progress bar style are set in condition
 * [fix] Error undefined object post when updating user profile
 * [improve] Button style in payment form


= v2.3.8 (3rd Sepetember, 2015) =

 * [fix] Problem with wpuf lock post fixed.
 * [fix] Problem with retyping password disability in the frontend fixed.
 * [fix] Problem with password visibilty fixed.
 * [fix] Redirection to subscription page from user profile fixed.
 * [fix] Scripts and styles of wpuf are now loading when needed.
 * [add] RTL support improvement


= v2.3.7 (24 August, 2015) =

 * [fix] Problem with conditional logic in image upload field fixed.
 * [fix] Transaction log updating issue fixed.
 * [fix] Email field in form with required flag is now working even if left empty.
 * [fix] Data from address field in registration form is now saved and shows data in edit form .
 * [new] Persian language translation added
 * [fix] Problem with 'pay per post' feature fixed


= v2.3.6 (13 July, 2015) =

 * [fix] Login page bug fixed.
 * [fix] Wordpress native registration page made working.
 * [fix] Email validation bug fixed.
 * [fix] Issue in country field fixed.
 * [fix] Issue with saving taxonomy fixed.
 * [fix] Problem with captcha and really simple captcha fixed.
 * [fix] Problem with action hook fixed.


= v2.3.5 (2 July, 2015) =

 * [fix] Ajax taxonomy field bug fixed.


= v2.3.4 (June 29, 2015) =

 * [fix] Featured image caption was not being updated


= v2.3.3 (June 24, 2015) =

 * [fix] Post status settings in form, wasn't being updated.


= v2.3.2 (June 22, 2015) =

 * [fix] Featured image upload fix
 * [new] Image upload field brought back to free


= v2.3.1 (June 21, 2015) =

 * [fix] Compatibility problem with PHP < 5.2. Accidental PHP array shorthand used.


= version 2.3 (June 20, 2015) =

 * Pro plugin released as free with less features


= version 1.3.2 =

 * [improve] post thumbnail image association added
 * [improve] various form styles updated
 * [fix] teeny textarea buttons fix
 * [fix] Dashboard show post type settings won't effect
 * [fix] zxcvbn is not defined in edit profile
 * [fix] Two click needed to submit a post
 * [fix] dashboard author bio height fix


= version 1.3.1 =

 * [fix] `[wpuf_editpost]` typo fix
 * [fix] clean $dashboard_query from corrupting beyond use


= version 1.3 =

 * [fix] PayPal payment user_id issue fixed
 * [fix] Plupload `o is null` error fix
 * [fix] PHP 5.4 strict warnings fix
 * [update] new version of settings api class


= version 1.2.3 =

* [fix] `has_shortcode()` brought back again by renaming as `wpuf_has_shortcode()`
* [fix] all the labels now have a default text


= version 1.2.2 =

* [fix] shortcode error fix for edit users
* [fix] plugin css/js url
* [fix] removed has_shortcode() call


= version 1.2.1 =

* [fix] Performance problem with wp_list_users()


= version 1.2 =

* [fix] Subscription post publish
* [fix] Post delete fix in dashboard
* [fix] Silverlight in IE upload error
* [fix] Category checklist bug fix
* [new] Checkbox field in custom field


= version 1.1 =

* warning for multisite fix
* allow category bug fix
* fix ajaxurl in ajaxified category
* custom post type dropdown fix in admin
* post date bug fix
* category dropdown fix


= version 1.0 =

* Admin panel converted to settings API
* Ajax featured Image uploader added (using plupload)
* Ajax attachment uploader added (using plupload)
* Rich/full/normal text editor mode
* Editor button fix on twentyelven theme
* Massive Code rewrite and cleanup
* Dashboard replaced with WordPress loop
* Output buffering added for header already sent warning
* Redirect user on deleting a post
* Category checklist added
* Post publish date fix and post expirator changed from hours to day
* Subscription and payment rewrite. Extra payment gateways can be added as plugin
* Other payment currency added


= version 0.7 =

* admin ui improved
* updated new post notification mail template
* custom fields and attachment show/hide in posts
* post edit link override option
* ajax "posting..." changed
* attachment fields restriction in edit page
* localized ajaxurl and posting message
* improved action hooks and filter hooks


= version 0.6 =

* fixed error on attachment delete
* added styles on dashboard too
* fixed custom field default dropdown
* fixed output buffering for add_post/edit_post/dashboard/profile pages
* admin panel scripts are added wp_enqueue_script instead of echo
* fixed admin panel block logic
* filter hook added on edit post for post args


= version 0.5 =

* filters on add posting page for blocking the post capa
* subscription pack id added on user meta upon purchase
* filters on add posting page for blocking the post capa
* option for force pack purchase on add post. dropdown p
* subscription info on profile edit page
* post direction fix after payment
* filter added on form builder


= version 0.4 =

* missing custom meta field added on edit post form
* jQuery validation added on edit post form


= version 0.3 =

* rich/plain text on/off fixed
* ajax chained category added on add post form
* missing action added on edit post form
* stripslashes on admin/frontend meta field
* 404 error fix on add post


= version 0.2 =

* Admin settings page has been improved
* Header already sent warning messages has been fixed
* Now you can add custom post meta from the settings page
* A new pay per post and subscription based posting options has been introduced (Only paypal is supported now)
* You can upload attachment with post
* WYSIWYG editor has been added
* You can add and manage your users from frontend now (only having the capability to edit_users )
* Some action and filters has been added for developers to add their custom form elements and validation
* Pagination added in post dashboard
* You can use the form to accept "custom post type" posts. e.g: [wpuf_addpost post_type="event"]. It also applies for showing post on dashboard like "[wpuf_dashboard post_type="event"]"
* Changing the form labels of the add post form is now possible from admin panel.
* The edit post page setting is changed from URL to page select dropdown.
* You can lock certain users from posting from their edit profile page.
